link: search/%22World%20of%20Illusion%20Starring%20Mickey%20Mouse%20and%20Donald%20Duck%22
meta: {}
query: '"World of Illusion Starring Mickey Mouse and Donald Duck"'
results:
  albums: []
  artists: []
  orgs: []
  products: []
sections:
- albums
- artists
- orgs
- products
vgmdb_link: https://vgmdb.net/search?q=%22World%20of%20Illusion%20Starring%20Mickey%20Mouse%20and%20Donald%20Duck%22
